Package com.usatiuk.dhfs.webapi

# Class PersistentPeerAddressApi

java.lang.Object
com.usatiuk.dhfs.webapi.PersistentPeerAddressApi

@Path("/peers-addr-manage") public class PersistentPeerAddressApi extends Object

## Constructor Summary

Constructors
Constructor
Description
`PersistentPeerAddressApi()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPeerAddress(String peerAddr, String peerId)`
`void`
`deletePeerAddress(String peerId)`
`String`
`getPeerAddress(String peerId)`
`Collection<PeerAddressInfo>`
`getPeerAddresses()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PersistentPeerAddressApi

public PersistentPeerAddressApi()

## Method Details

### addPeerAddress

@Path("{peerId}") @PUT public void addPeerAddress(String peerAddr, @PathParam("peerId") String peerId)

### deletePeerAddress

@Path("{peerId}") @DELETE public void deletePeerAddress(@PathParam("peerId") String peerId)

### getPeerAddress

@Path("{peerId}") @GET public String getPeerAddress(@PathParam("peerId") String peerId)

### getPeerAddresses

@Path("") @GET public Collection<PeerAddressInfo> getPeerAddresses()